Skip to main content
GET
/
api
/
v1
/
jobs
/
{job_id}
/
download
curl --request GET \
  --url "${UNSTRUCTURED_API_URL}/api/v1/jobs/b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e/download?file_id=output-001.json" \
  --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
  --output output-001.json
<binary file content>

Documentation Index

Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt

Use this file to discover all available pages before exploring further.

This applies only to jobs that use a workflow with a local source and a local destination.
To download a file’s output from the last workflow node in a job run:
  • Do not specify a node_id argument. The last workflow node will be used by default.
  • Use the get job endpoint to get the job’s details. The file’s Unstructured ID will be in the response’s input_file_ids array.
To download a file’s output from a specific workflow node in a job run:
  • Use the get job endpoint to get the job’s details:
    • The file’s ID will be in the file_id field in the response’s output_node_files array
    • The node’s ID will be in the node_id field in the response’s output_node_files array
Currently, you cannot use the Unstructured user interface (UI) to download a file from a job that uses a workflow with a local source and a local destination.

Path parameters

job_id
string
required
The unique identifier of the job.

Query parameters

file_id
string
required
The ID of the output file to download.
node_id
string
Filter by the node that produced the output file. The default is the last workflow node.
curl --request GET \
  --url "${UNSTRUCTURED_API_URL}/api/v1/jobs/b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e/download?file_id=output-001.json" \
  --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
  --output output-001.json
<binary file content>